Loading...
Searching...
No Matches
etl::reference_counted_message_pool< TCounter > Class Template Reference

A pool for allocating reference counted messages. More...

`#include <reference_counted_message_pool.h>`

## Classes

struct | pool_message_parameters

## Public Member Functions

| reference_counted_message_pool (etl::imemory_block_allocator &memory_block_allocator_)
| Constructor.
template<typename TMessage>
etl::reference_counted_message< TMessage, TCounter > * | allocate (const TMessage &message)
| Allocate a reference counted message from the pool.
template<typename TMessage>
etl::reference_counted_message< TMessage, TCounter > * | allocate ()
| Allocate a reference counted message from the pool.
void | release (const etl::ireference_counted_message &rcmessage)
| Destruct a message and send it back to the allocator.

## Additional Inherited Members

Protected Member Functions inherited from etl::ireference_counted_message_pool
virtual void | lock ()
virtual void | unlock ()

## Detailed Description

template<typename TCounter>
class etl::reference_counted_message_pool< TCounter >

A pool for allocating reference counted messages.

## Member Function Documentation

## release()

template<typename TCounter>

void etl::reference_counted_message_pool< TCounter >::release | ( | const etl::ireference_counted_message & | rcmessage | ) |

inline virtual

Destruct a message and send it back to the allocator.

Implements etl::ireference_counted_message_pool.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_message_pool.h